scrub-obsolete Package - kdbusaddons

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/kdbusaddons scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index bad5621..a00be9d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,12 @@ kdbusaddons (5.78.0-3) UNRELEASED; urgency=medium
   * Remove graphviz from build depends.
   * Annotate dbus-x11 B-D with nocheck (Closes: #981081).
 
+  [ Debian Janitor ]
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake and pkg-kde-tools.
+    + libkf5dbusaddons5: Drop versioned constraint on plasma-framework in
+      Breaks.
+
  -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 23 Jan 2021 10:28:10 +0900
 
 kdbusaddons (5.78.0-2) unstable; urgency=medium
diff --git a/debian/control b/debian/control
index ca8c700..6ad6eee 100644
--- a/debian/control
+++ b/debian/control
@@ -4,14 +4,14 @@ Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
            Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake,
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
                extra-cmake-modules (>= 5.78.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.14.0~),
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
@@ -80,8 +80,7 @@ Breaks: baloo-kf5 (<< 5.54),
         libkf5kdelibs4support5-bin (<< 5.54),
         libkf5kiocore5 (<< 5.54),
         libkf5service5 (<< 5.54),
-        libkf5wallet-bin (<< 5.54),
-        plasma-framework (<< 5.25)
+        libkf5wallet-bin (<< 5.54)
 Recommends: libkf5dbusaddons-bin (= ${binary:Version})
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,

Run locally

Try this locally (using the lintian-brush package):

debcheckout kdbusaddons
cd kdbusaddons
deb-scrub-obsolete

More details

Full run details